# CUpti_ActivityInstantaneousMetric Struct Reference
[CUPTI Activity API]

The activity record for an instantaneous CUPTI metric. More...

## Data Fields
uint32_t | deviceId
uint8_t | flags
CUpti_MetricID | id
CUpti_ActivityKind | kind
uint8_t | pad [3]
uint64_t | timestamp
CUpti_MetricValue | value

## Detailed Description

This activity record represents the collection of a CUPTI metric value (CUPTI_ACTIVITY_KIND_METRIC) at a particular instance. This activity record kind is not produced by the activity API but is included for completeness and ease-of-use. Profiler frameworks built on top of CUPTI that collect metric data may choose to use this type to store the collected metric data.

## Field Documentation

uint32_t CUpti_ActivityInstantaneousMetric::deviceId

The device id

uint8_t CUpti_ActivityInstantaneousMetric::flags

The properties of this metric.

See also:
  CUpti_ActivityFlag

CUpti_MetricID CUpti_ActivityInstantaneousMetric::id

The metric ID.

CUpti_ActivityKind CUpti_ActivityInstantaneousMetric::kind

The activity record kind, must be CUPTI_ACTIVITY_KIND_INSTANTANEOUS_METRIC.

uint8_t CUpti_ActivityInstantaneousMetric::pad[3]

Undefined. reserved for internal use

uint64_t CUpti_ActivityInstantaneousMetric::timestamp

The timestamp at which metric is sampled

CUpti_MetricValue CUpti_ActivityInstantaneousMetric::value

The metric value.